%define name ksteak
%define version 1.0.0
%define pre pre2
%define release 0.pre.4mdk
%define fname %name-%version%pre

Summary: KDE German/English dictionary
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{fname}.tar.bz2
License: GPL
Group: System/Internationalization
Url: http://www.der-fritz.de/ksteak/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdelibs-devel
Requires: steak

%description
This is a GUI for the steak, a German/English dictionary. It
translates a given word or the latest one in the X selection.

%prep
%setup -q -n %fname

%build
%define __libtoolize true

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name
mkdir -p %buildroot{%_menudir,%_liconsdir,%_iconsdir,%_miconsdir}
kdedesktop2mdkmenu.pl ksteak Office/Accessories src/ksteak.desktop %buildroot%_menudir/%name x11 "Steak"
perl -pi -e 's!longtitle=".*"!longtitle="German/English dictionary"!' %buildroot%_menudir/%name
ln -s %_datadir/icons/hicolor/32x32/apps/ksteak.png %buildroot%_iconsdir/
ln -s %_datadir/icons/hicolor/16x16/apps/ksteak.png %buildroot%_miconsdir/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc README* TODO AUTHORS ChangeLog
%_bindir/%name
%_libdir/lib*
%_datadir/applnk/Utilities/ksteak.desktop
%_datadir/apps/khtml/kpartplugins/ksteakplugin.rc
%_datadir/apps/ksteak/
%doc %_datadir/doc/HTML/*/ksteak/
%_datadir/icons/??color/*/*/*
%_iconsdir/%name.png
%_miconsdir/%name.png
%_menudir/%name

%changelog
* Tue Aug 30 2005 Pablo Saratxaga <pablo@mandriva.com> 1.0.0-0.pre4mdk
- fixed typo in menu

* Sat Apr 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.0-0.pre3mdk
- Version 1.0.0pre2

* Mon Jun  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-0.pre.2mdk
- add ldconfig call
- rebuild for new g++

* Wed Feb 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-0.pre.1mdk
- initial package
